/*********************************************
This program was produced by the
CodeWizardAVR V1.24.0 Standard
Automatic Program Generator
 Copyright 1998-2003 HP InfoTech s.r.l.
http://www.hpinfotech.ro
e-mail:office@hpinfotech.ro

Project : PPE robot suiveur de ligne
	      Commande d'un servo-moteur  (fichier prof)
Version : 1
Date    : 28/06/2010
Author  : perso                           
Company :  Lyce PE MARTIN 
file: testServos.c
                               
Comments:Le rapport cyclique du signal OC0A
est modifi en fonction de l'tat logique de PB3
PB3 = 0 => alpha = 0,0724 (angle -90 pour le servo utilis) 
PB3 = 1 => alpha = 0,1449 (angle +90 pour le servo utilis) 
Priode de OC0A = 13,6ms (9,6.10E6 /(510*256))^-1 


Chip type           : ATtiny13
Clock frequency     : 9,600000 MHz
Memory model        : Tiny
External SRAM size  : 0
Data Stack size     : 16
*********************************************/

#include <tiny13.h>
#include <delay.h>

#define CdeServo1		PINB.3
#define CdeServo2       PINB.4
#define Angle_Servo1    OCR0A
#define Angle_Servo2	OCR0B
#define Pos_min           40
#define Pos_max           80
#define Nul				0



// Declare your global variables here

void main(void)
{
// Declare your local variables here

// Crystal Oscillator division factor: 1
CLKPR=0x80;
CLKPR=0x00;

// Input/Output Ports initialization
// Port B initialization
// Func0=Out Func1=Out Func2=In Func3=In Func4=In Func5=In
// State0=0 State1=0 State2=T State3=T State4=T State5=T
PORTB=0x18;
DDRB=0x03;

// Timer/Counter 0 initialization
// Clock source: System Clock
// Clock value: 150,000 kHz
// Mode: Fast PWM top=FFh
// OC0A output: Non-Inverted PWM
// OC0B output: Non-Inverted PWM
TCCR0A=0xA3;
TCCR0B=0x03;
TCNT0=0x00;
OCR0A=0x00;
OCR0B=0x00;

Angle_Servo1 = 100;
Angle_Servo2 = 50;

while (1)
      {
      // Bras dans l'axe pendant le dplacement 
       
     	 
      };
}
